Issue 94878 - Protected Spaces not honored / losing text in Text Marks
Summary: Protected Spaces not honored / losing text in Text Marks
Status: CONFIRMED
Alias: None
Product: Writer
Classification: Application
Component: formatting (show other issues)
Version: OOo 2.4.1
Hardware: PC All
: P4 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: oooqa
Depends on:
Blocks:
 
Reported: 2008-10-11 12:53 UTC by hanspl
Modified: 2013-01-29 21:52 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Example file (7.56 KB, application/vnd.oasis.opendocument.text)
2008-10-11 13:01 UTC, hanspl
no flags Details
Example Screenshot with missing characters (16.85 KB, image/png)
2010-12-08 14:49 UTC, hanspl
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description hanspl 2008-10-11 12:53:06 UTC
Example:  Some text including breaking spaces / characters and a protected space
like "10 - 30_ms"  (here, the _ denotes the protected space) is marked and set
as a text mark via Menu Insert Text Mark .  

When this text mark is later cited as 'reference text' at the end of a line,  a
soft line break may wrap between the "30" and the "ms",  although the protected
space is intended to keep the number and the unit together. 

Much worse:  if this text mark is pushed further to the right so that now the
"30" is wrapped to the next line,  the protected space and the following "ms"
disappear completely!  They reappear again when the mark is further pushed to
the right.
Comment 1 hanspl 2008-10-11 13:01:41 UTC
Created attachment 57119 [details]
Example file
Comment 2 Regina Henschel 2008-10-11 14:28:40 UTC
I confirm, that the reference texts breaks where the non-breaking space should
be. I see the same behavior using a reference instead of a bookmark.
I cannot confirm, that some characters disappear.

I use German OOo3.0RC4 on WinXP.
Comment 3 hanspl 2008-10-11 16:22:17 UTC
In the reference text,  insert spaces in the second line:  On my system,  the
second space causes a wrap of the protected space.  The seventh space cases a
wrap of the "30" and the "_ms" disappears,  also in the paper printout (thus
causing an error in a technical text of mine).  

The eighth space lets the "_ms" reappear.  Maybe this disappearing depends on
the exact rendering of the font?  

Comment 4 michael.ruess 2008-10-16 13:20:34 UTC
Reassigned to SBA.
Comment 5 hanspl 2010-12-08 14:48:46 UTC
More than two years and several OOo versions later and still not fixed?  
Please see attached screenshot.  
Because of the missing characters I'd rate this rather serious!  
Comment 6 hanspl 2010-12-08 14:49:51 UTC
Created attachment 75283 [details]
Example Screenshot with missing characters